org.gradle.tooling.model

## Interface ProjectModel

- All Known Subinterfaces:
    BasicGradleProject, BuildInvocations, EclipseProject, GradleProject, GradlePublication, GradleTask, HasGradleProject, HierarchicalEclipseProject, IdeaModule, Launchable, ProjectPublications, Task, TaskSelector

      @Incubating
      public interface ProjectModel

  Represents a model that is associated with some Gradle project.
  Since:
    3.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProjectIdentifier` | `getProjectIdentifier()` Returns the identifier for the project that this model is associated with.

- - ### Method Detail

    - #### getProjectIdentifier

          ProjectIdentifier getProjectIdentifier()

      Returns the identifier for the project that this model is associated with.